<h1>WPSSO Ratings and Reviews</h1>

<table>
<tr><th align="right" valign="top" nowrap>Plugin Name</th><td>WPSSO Ratings and Reviews</td></tr>
<tr><th align="right" valign="top" nowrap>Summary</th><td>Ratings and Reviews for WordPress Comments with Schema Aggregate Rating and Schema Review Markup.</td></tr>
<tr><th align="right" valign="top" nowrap>Stable Version</th><td>2.15.0</td></tr>
<tr><th align="right" valign="top" nowrap>Requires PHP</th><td>7.0 or newer</td></tr>
<tr><th align="right" valign="top" nowrap>Requires WordPress</th><td>5.0 or newer</td></tr>
<tr><th align="right" valign="top" nowrap>Tested Up To WordPress</th><td>5.8.1</td></tr>
<tr><th align="right" valign="top" nowrap>Tested Up To WooCommerce</th><td>5.7.1</td></tr>
<tr><th align="right" valign="top" nowrap>Contributors</th><td>jsmoriss</td></tr>
<tr><th align="right" valign="top" nowrap>License</th><td><a href="https://www.gnu.org/licenses/gpl.txt">GPLv3</a></td></tr>
<tr><th align="right" valign="top" nowrap>Tags / Keywords</th><td>star rating, aggregate rating, review, google, schema, comment, knowledge graph, product rating, product review, meta tags, schema review, schema markup, woocommerce</td></tr>
</table>

<h2>Description</h2>

<p><img class="readme-icon" src="https://surniaulula.github.io/wpsso-ratings-and-reviews/assets/icon-256x256.png"> <strong>Compatible with WooCommerce product ratings and reviews.</strong></p>

<p><strong>Extends the WordPress comment system with ratings and reviews:</strong></p>

<ul>
<li><p>Star ratings can be enabled/disabled by post type or individual post.</p></li>
<li><p>A rating value can be required (or not) before reviews are accepted.</p></li>
<li><p>The theme template review form is correctly labeled as a "Review".</p></li>
<li><p>The theme template review reply form is correctly labeled as a "Reply".</p></li>
<li><p>The color of star ratings can be customized from the settings page.</p></li>
</ul>

<p><strong>Provides <a href="https://schema.org/aggregateRating">Schema Aggregate Rating</a> markup.</strong></p>

<p><strong>Provides <a href="https://schema.org/Review">Schema Review</a> markup:</strong></p>

<p>Including information about the review (author name, creation time, excerpt, rating) and threaded replies / comments for each review.</p>

<h3>No templates to modify or update!</h3>

<p>Simply activate / deactivate the plugin to enable / disable the addition of ratings and reviews.</p>

<h3>WPSSO Core Required</h3>

<p>WPSSO Ratings and Reviews (WPSSO RAR) is an add-on for the <a href="https://wordpress.org/plugins/wpsso/">WPSSO Core plugin</a>.</p>


<h2>Installation</h2>

<h3 class="top">Install and Uninstall</h3>

<ul>
<li><a href="https://wpsso.com/docs/plugins/wpsso-ratings-and-reviews/installation/install-the-plugin/">Install the WPSSO Ratings and Reviews add-on</a>.</li>
<li><a href="https://wpsso.com/docs/plugins/wpsso-ratings-and-reviews/installation/uninstall-the-plugin/">Uninstall the WPSSO Ratings and Reviews add-on</a>.</li>
</ul>


<h2>Frequently Asked Questions</h2>

<h3 class="top">Frequently Asked Questions</h3>

<ul>
<li>None.</li>
</ul>

<h3>Notes and Documentation</h3>

<ul>
<li><a href="https://wpsso.com/docs/plugins/wpsso-ratings-and-reviews/notes/developer/">Developer Resources</a>

<ul>
<li><a href="https://wpsso.com/docs/plugins/wpsso-ratings-and-reviews/notes/developer/get-average-rating/">Get Average Rating</a></li>
</ul></li>
</ul>


